Page MenuHomePhabricator

WikiEditor toolbar overlaps Notifications flyout in Timeless and Modern skins
Closed, ResolvedPublic

Event Timeline

Legoktm created this task.Jul 22 2018, 8:40 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 22 2018, 8:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

The issue exists only in Timeless skin.

Legoktm renamed this task from WikiEditor toolbar overlaps Notifications flyout to WikiEditor toolbar overlaps Notifications flyout in Timeless skin.Aug 1 2018, 6:49 AM
Evad37 added a project: Modern.EditedAug 1 2018, 7:50 AM
Evad37 added a subscriber: Evad37.

This is also happening with Modern skin.

Evad37 renamed this task from WikiEditor toolbar overlaps Notifications flyout in Timeless skin to WikiEditor toolbar overlaps Notifications flyout in Timeless and Modern skins.Aug 1 2018, 7:51 AM
Restricted Application added a project: Community-Tech. · View Herald TranscriptAug 1 2018, 12:23 PM
TheDJ updated the task description. (Show Details)Aug 1 2018, 12:26 PM
Isarra added a subscriber: Isarra.Aug 2 2018, 3:56 PM

Do we have consistent guidelines anywhere for content vs chrome layering and z-index recommended ranges?

Modern skin will have a transparency issue with VE toolbar too:

Isarra added a comment.Aug 2 2018, 5:38 PM

Specifically, that's Echo/Notifications, another extension. Is this echo/toolbar thing happening with everything, or just modern?

TheDJ added a comment.Aug 2 2018, 6:53 PM

Modern skin will have a transparency issue with VE toolbar too:

Please file a separate ticket for that, on the WE2017/Echo/Modern tags. Its different from this.

TheDJ added a comment.EditedAug 2 2018, 6:53 PM

Do we have consistent guidelines anywhere for content vs chrome layering and z-index recommended ranges?

Our policy is that we try to avoid z-index in favor of dom order (whenever possible).

Isarra added a comment.Aug 2 2018, 6:55 PM

Our policy is that we try to avoid z-index in favor of dom order (whenever possible).

But when not?

Change 450152 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Prevent content stuff from overlapping over nav stuff

https://gerrit.wikimedia.org/r/450152

Change 450153 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Modern@master] Prevent content stuff from overlapping over nav stuff

https://gerrit.wikimedia.org/r/450153

Change 450153 merged by jenkins-bot:
[mediawiki/skins/Modern@master] Prevent content stuff from overlapping over nav stuff

https://gerrit.wikimedia.org/r/450153

Isarra closed this task as Resolved.Aug 3 2018, 8:21 PM
Isarra claimed this task.

Change 450152 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Prevent content stuff from overlapping over nav stuff

https://gerrit.wikimedia.org/r/450152

Amorymeltzer added a subscriber: Amorymeltzer.EditedAug 9 2018, 9:07 PM

@Isarra Thanks for fixing this! I first noticed this as it affected the way my userpage displayed — easy enough fix, nbd — but what's the advantage of having position: relative in #mw_content (already present in Timeless, newly added to Modern) rather than removing it from or adding z-index: 0;to the toolbars, which seem to be the real culprit? Just curious, as it seemed backwards to me.

happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 11:34 AM